############################################################################
#
#       Project		GP stack program using MODIFIED gpquick-2.1,
# 			using UCL GNU/Unix/etc
#	    
#       Author		W.Langdon
#
#	Created		12 May 1994 
# WBL 12 Aug 2011  Make compatible with gcc version 4.1.2
# 									   
#	Module:         stack.make     
#
#	Description:          
#
#	FLAGS:     	-DTWOD?
#			-DDEBUG, if debugging messages should pop up?
#
#	Notes		ensure pch.h contain #define UNIX
#			chrome.h #define MULTREE
#
############################################################################

NAME 	= stack
SOURCES = stack.cc chrome.cxx stats.cc	primitiv.cxx selector.cxx
OBJS 	= stack.o  chrome.o   stats.o	primitiv.o   selector.o
LIBS 	= -lm
#LIBS 	= -lg++ -lm
CC 	= g++
COMPILE = $(CC) -c $(CFLAGS)
CFLAGS 	= -O5 -Wno-deprecated
#CFLAGS = -O2 -fkeep-inline-functions -ansi -g3 -Wall -check 
LINK 	= $(CC) -o 
LDFLAGS =  -g -Wall
#LDFLAGS = -static


$(NAME):$(OBJS) 
	$(LINK) $(NAME) $(OBJS) $(LDFLAGS) $(LIBS)

#C++ source files

stack.o:	stack.cc pch.h chrome.h selector.h stack.h primitiv.h
	$(COMPILE) stack.cc

chrome.o:	chrome.cxx pch.h chrome.h selector.h stack.h
	$(COMPILE) chrome.cxx

stats.o:	stats.cc pch.h chrome.h selector.h stack.h
	$(COMPILE) stats.cc

primitiv.o:	primitiv.cxx pch.h chrome.h selector.h stack.h
	$(COMPILE) primitiv.cxx

selector.o:	selector.cxx pch.h selector.h
	$(COMPILE) selector.cxx
